eID middleware |

# be::portugal::eid::PTEID_Picture Class Reference

Class for the picture document on a EID Card. More...

Inheritance diagram for be::portugal::eid::PTEID_Picture:

List of all members.

## Public Member Functions
override void | Dispose ()
PTEID_ByteArray | getData ()
| Return the picture itself (jpg format).
PTEID_ByteArray | getHash ()
| Return the hash of the picture.

## Detailed Description

Class for the picture document on a EID Card.

You can get such an object from PTEID_EIDCard::getPicture() (or getDocument).

## Member Function Documentation

override void be::portugal::eid::PTEID_Picture::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Biometric.

PTEID_ByteArray be::portugal::eid::PTEID_Picture::getData | ( |  | ) | `[inline]`

Return the picture itself (jpg format).

PTEID_ByteArray be::portugal::eid::PTEID_Picture::getHash | ( |  | ) | `[inline]`

Return the hash of the picture.